# Module os::drivers::block::sdcard

source · [−]

## Structs

PERIPHERALS 🔒
SDCard
SDCardCID

Card Identification Data: CID Register

SDCardCSD

Card Specific Data: CSD Register

SDCardInfo

Card information

SDCardWrapper

## Enums

CMD

SD commands

InitError

## Constants

SD_CS 🔒

CS value passed to SPI controller, this is a dummy value as SPI0_CS3 is not mapping to anything in the FPIOA

SD_CS_GPIONUM 🔒

GPIOHS GPIO number to use for controlling the SD card CS pin

SD_START_DATA_MULTIPLE_BLOCK_READ

Data token start byte, Start Multiple Block Read

SD_START_DATA_MULTIPLE_BLOCK_WRITE

Data token start byte, Start Multiple Block Write

SD_START_DATA_SINGLE_BLOCK_READ

Data token start byte, Start Single Block Read

SD_START_DATA_SINGLE_BLOCK_WRITE

Data token start byte, Start Single Block Write

SEC_LEN

## Functions

init_sdcard 🔒
io_init 🔒

Connect pins to internal functions